public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: net-misc/maestral/
Date: Sat, 17 Dec 2022 08:17:15 +0000 (UTC)	[thread overview]
Message-ID: <1671264964.8e3340b9bec981205cde4e88f94cdcb61e21d71e.ceamac@gentoo> (raw)

commit:     8e3340b9bec981205cde4e88f94cdcb61e21d71e
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 08:14:19 2022 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 08:16:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8e3340b9

net-misc/maestral: add 1.6.5

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 net-misc/maestral/Manifest              |  1 +
 net-misc/maestral/maestral-1.6.5.ebuild | 52 +++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/net-misc/maestral/Manifest b/net-misc/maestral/Manifest
index 4e555a1eb..f5fa4044e 100644
--- a/net-misc/maestral/Manifest
+++ b/net-misc/maestral/Manifest
@@ -1,2 +1,3 @@
 DIST maestral-1.5.3.tar.gz 8280040 BLAKE2B dcda43880cea3fb00098b6bf87e43318a523a7c9d83886efff58be715cde17f67504b31735a006b951963e5cf0ef70b4b6431cb84200722cae186053a01edd63 SHA512 aa21277623f4e6f3283cd989be910eeb1caa3a842abca595b27a551c1c9bd1e7ef083e495ee0f096190accd91835939cb2f4a26624feae0046d8770d53aaac2f
 DIST maestral-1.6.4.gh.tar.gz 7983500 BLAKE2B cfad15e59ec4331144ccbdd5f916ba287348de9de58210998c674e41c1f8c2a0c2682eacd12f585d12cb712e1331548c46fc378d77ae1eb01112a44456234a40 SHA512 ace0f6af5718b51ed8611db3973d8e228ec9fe162a7f3431ca6f8ef80a0e3bfda5b0eed63d99ff65229412ca55e58a404a3a88735aa61236b22f0d66a59a9e43
+DIST maestral-1.6.5.gh.tar.gz 7983512 BLAKE2B b77cc7eb1a6089cc78e47680d99a53bc4c4752feed3970a57e67eefcf1ab2491c0b3aaebd2fb7caf6fc5420eef2e7fe8776e87047f82db7d1466a4c3d17beaf8 SHA512 ee182505b305dbd6730078ce71725eb75515fb5682889c5226c26a69d32f85ad28e335bcd65b57fd1624da8ecd8914df337a93f6b296d86dcc6e94d4f2747995

diff --git a/net-misc/maestral/maestral-1.6.5.ebuild b/net-misc/maestral/maestral-1.6.5.ebuild
new file mode 100644
index 000000000..a540a2de7
--- /dev/null
+++ b/net-misc/maestral/maestral-1.6.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="Maestral is an open-source Dropbox client written in Python"
+HOMEPAGE="https://maestral.app"
+SRC_URI="https://github.com/samschott/maestral/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	>=dev-python/click-8.0.2[${PYTHON_USEDEP}]
+	>=dev-python/desktop-notifier-3.3.0[${PYTHON_USEDEP}]
+	>=dev-python/dropbox-sdk-python-11.28.0[${PYTHON_USEDEP}]
+	<dev-python/dropbox-sdk-python-12.0.0[${PYTHON_USEDEP}]
+	>=dev-python/fasteners-0.15[${PYTHON_USEDEP}]
+	>=dev-python/keyring-22.0.0[${PYTHON_USEDEP}]
+	>=dev-python/keyrings-alt-3.1.0[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	>=dev-python/pathspec-0.5.8[${PYTHON_USEDEP}]
+	>=dev-python/Pyro5-5.10[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.16.2[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+	>=dev-python/survey-3.4.3[${PYTHON_USEDEP}]
+	<dev-python/survey-4.0.0[${PYTHON_USEDEP}]
+	>=dev-python/watchdog-2.0.1[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_8)
+"
+BDEPEND="
+	dev-python/build[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest-benchmark[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# this test requires systemd
+	sed -i -e 's/test_autostart/_&/' tests/offline/test_cli.py || die
+
+	# this test requires network
+	sed -i -e 's/test_check_for_updates/_&/' tests/offline/test_main.py || die
+
+	distutils-r1_python_prepare_all
+}


WARNING: multiple messages have this Message-ID (diff)
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: net-misc/maestral/
Date: Sat, 17 Dec 2022 08:16:29 +0000 (UTC)	[thread overview]
Message-ID: <1671264964.8e3340b9bec981205cde4e88f94cdcb61e21d71e.ceamac@gentoo> (raw)
Message-ID: <20221217081629.BwQCzr9e9SnAz47MZwz7HLQ9ZT9UdnHfOPQJuO5zoJQ@z> (raw)

commit:     8e3340b9bec981205cde4e88f94cdcb61e21d71e
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 08:14:19 2022 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 08:16:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8e3340b9

net-misc/maestral: add 1.6.5

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 net-misc/maestral/Manifest              |  1 +
 net-misc/maestral/maestral-1.6.5.ebuild | 52 +++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/net-misc/maestral/Manifest b/net-misc/maestral/Manifest
index 4e555a1eb..f5fa4044e 100644
--- a/net-misc/maestral/Manifest
+++ b/net-misc/maestral/Manifest
@@ -1,2 +1,3 @@
 DIST maestral-1.5.3.tar.gz 8280040 BLAKE2B dcda43880cea3fb00098b6bf87e43318a523a7c9d83886efff58be715cde17f67504b31735a006b951963e5cf0ef70b4b6431cb84200722cae186053a01edd63 SHA512 aa21277623f4e6f3283cd989be910eeb1caa3a842abca595b27a551c1c9bd1e7ef083e495ee0f096190accd91835939cb2f4a26624feae0046d8770d53aaac2f
 DIST maestral-1.6.4.gh.tar.gz 7983500 BLAKE2B cfad15e59ec4331144ccbdd5f916ba287348de9de58210998c674e41c1f8c2a0c2682eacd12f585d12cb712e1331548c46fc378d77ae1eb01112a44456234a40 SHA512 ace0f6af5718b51ed8611db3973d8e228ec9fe162a7f3431ca6f8ef80a0e3bfda5b0eed63d99ff65229412ca55e58a404a3a88735aa61236b22f0d66a59a9e43
+DIST maestral-1.6.5.gh.tar.gz 7983512 BLAKE2B b77cc7eb1a6089cc78e47680d99a53bc4c4752feed3970a57e67eefcf1ab2491c0b3aaebd2fb7caf6fc5420eef2e7fe8776e87047f82db7d1466a4c3d17beaf8 SHA512 ee182505b305dbd6730078ce71725eb75515fb5682889c5226c26a69d32f85ad28e335bcd65b57fd1624da8ecd8914df337a93f6b296d86dcc6e94d4f2747995

diff --git a/net-misc/maestral/maestral-1.6.5.ebuild b/net-misc/maestral/maestral-1.6.5.ebuild
new file mode 100644
index 000000000..a540a2de7
--- /dev/null
+++ b/net-misc/maestral/maestral-1.6.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 xdg
+
+DESCRIPTION="Maestral is an open-source Dropbox client written in Python"
+HOMEPAGE="https://maestral.app"
+SRC_URI="https://github.com/samschott/maestral/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	>=dev-python/click-8.0.2[${PYTHON_USEDEP}]
+	>=dev-python/desktop-notifier-3.3.0[${PYTHON_USEDEP}]
+	>=dev-python/dropbox-sdk-python-11.28.0[${PYTHON_USEDEP}]
+	<dev-python/dropbox-sdk-python-12.0.0[${PYTHON_USEDEP}]
+	>=dev-python/fasteners-0.15[${PYTHON_USEDEP}]
+	>=dev-python/keyring-22.0.0[${PYTHON_USEDEP}]
+	>=dev-python/keyrings-alt-3.1.0[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	>=dev-python/pathspec-0.5.8[${PYTHON_USEDEP}]
+	>=dev-python/Pyro5-5.10[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.16.2[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+	>=dev-python/survey-3.4.3[${PYTHON_USEDEP}]
+	<dev-python/survey-4.0.0[${PYTHON_USEDEP}]
+	>=dev-python/watchdog-2.0.1[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' python3_8)
+"
+BDEPEND="
+	dev-python/build[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest-benchmark[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# this test requires systemd
+	sed -i -e 's/test_autostart/_&/' tests/offline/test_cli.py || die
+
+	# this test requires network
+	sed -i -e 's/test_check_for_updates/_&/' tests/offline/test_main.py || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2022-12-17  8:17 UTC|newest]

Thread overview: 61+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-17  8:17 Viorel Munteanu [this message]
2022-12-17  8:16 ` [gentoo-commits] repo/proj/guru:dev commit in: net-misc/maestral/ Viorel Munteanu
  -- strict thread matches above, loose matches on Subject: below --
2024-07-10 23:52 [gentoo-commits] repo/proj/guru:master " Haelwenn Monnier
2024-07-10 23:52 Haelwenn Monnier
2024-07-08 16:47 David Roman
2024-05-15 12:36 Julien Roy
2024-05-12  9:38 Viorel Munteanu
2024-04-21 14:11 Haelwenn Monnier
2024-04-21 14:11 Haelwenn Monnier
2024-04-21 14:11 Haelwenn Monnier
2024-04-21 14:11 Haelwenn Monnier
2024-03-27 11:50 Rui Huang
2024-03-23 13:16 Julien Roy
2023-11-19  9:37 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-11-19  9:58 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-08-13 15:44 David Roman
2023-07-25  7:51 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-07-25  7:52 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-07-25  7:51 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-07-25  7:52 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-07-24  8:20 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-07-24  8:24 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-05-30  5:28 Viorel Munteanu
2023-05-30  5:27 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-05-30  5:28 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-05-28 15:01 Viorel Munteanu
2023-05-28  8:48 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-05-28 15:01 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-05-14  7:44 Viorel Munteanu
2023-05-13  4:46 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-05-13  4:46 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-05-06  6:59 Viorel Munteanu
2023-05-06  6:39 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-05-06  6:59 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-05-01  9:20 Viorel Munteanu
2023-05-01  9:20 Viorel Munteanu
2023-04-20  4:39 Haelwenn Monnier
2023-03-14  6:00 Viorel Munteanu
2023-02-27 18:04 Viorel Munteanu
2023-02-27 18:04 Viorel Munteanu
2023-02-27 17:57 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-27 18:04 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-25  7:16 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-25  7:17 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-24  7:29 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-24  7:41 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-06  8:21 Viorel Munteanu
2023-02-06  6:05 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-06  8:21 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-04 11:46 Viorel Munteanu
2023-02-04 11:43 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-04 11:46 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-04  9:36 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-04  9:39 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-04  9:36 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-04  9:39 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-01-29 10:00 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-01-29 10:40 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-01-25 10:56 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-01-25 10:57 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2022-12-17  8:17 Viorel Munteanu
2022-12-05  8:21 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2022-12-05  9:21 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2022-12-05  8:21 [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2022-12-05  9:21 ` [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2022-06-22 17:39 Andrew Ammerlaan
2022-06-10 14:08 Andrew Ammerlaan
2022-06-10 14:08 Andrew Ammerlaan
2022-06-06 16:28 Florian Schmaus
2022-04-23 17:49 Haelwenn Monnier
2022-04-23 17:49 Haelwenn Monnier
2022-03-25 15:17 Ronny Gutbrod
2022-03-25 11:24 Ronny Gutbrod
2022-02-01 10:38 Florian Schmaus
2022-01-10 13:13 Andrew Ammerlaan
2021-12-31 10:08 Haelwenn Monnier
2021-12-30 14:34 Florian Schmaus
2021-12-27 14:44 Florian Schmaus
2021-12-27 14:44 Florian Schmaus
2021-12-27 14:44 Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1671264964.8e3340b9bec981205cde4e88f94cdcb61e21d71e.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox